<?php
namespace MyMeals\Services;

use MyMeals\Util\ParameterBag;

class Unit {

    protected $dataSourceManager;
    protected $parameterBag;

    public function __construct($dataSourceManager, ParameterBag $parameterBag) {
        $this->dataSourceManager = $dataSourceManager;
        $this->parameterBag = $parameterBag;
    }

    public function findUnitsByOperator($filterCriteria) {
        $filterCriteria->setDataSourceName("operatorUnits");
        $newFilterCriteria = $this->parameterBag->getPopulatedFilterFromSession($filterCriteria);
        return $this->dataSourceManager->findBy($newFilterCriteria);
    }
}