<?php
namespace MyMeals\Services;

use Doctrine\DBAL\Connection;

class User {

    protected $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    public function saveUserCurrentUnit($unitCode, $operatorCode, $orgCode) {
        $updateQuery = "UPDATE OPERADOR SET CDFILIALSELECIONADA = :CDFILIAL WHERE CDOPERADOR = :CDOPERADOR AND NRORG = :NRORG";
        $params = array(
            "CDFILIAL" => $unitCode,
            "CDOPERADOR" => $operatorCode,
            "NRORG" => $orgCode
        );
        $sth = $this->connection->prepare($updateQuery);
        $sth->execute($params);
    }
}
